KATE(1)

NAME
kate - Editor de texto avanzado para KDE

SYNOPSIS

kate [-s, --start nombre] [-u, --use] [-p, --pid pid] [-e, --encoding nombre] [-l, --line línea] [-c, --column columna] [-i, --stdin] [Opciones genéricas de KDE] [Opciones genéricas de Qt]

DESCRIPCIóN

Kate es el editor de texto avanzado de KDE.

Kate también proporciona la parte de edición para varias aplicaciones bajo el nombre KWrite.

Algunas de las muchas características de Kate son: resaltado de sintaxis configurable para lenguajes que abarcan desde C y C++ hasta HTML y guiones bash, la posibilidad de crear y mantener proyectos, una interfaz de múltiples documentos (MDI), y un emulador de terminal integrado.

Pero Kate es más que un editor para programadores. Su capacidad para abrir varios archivos a la vez lo hace ideal para editar los numerosos archivos de configuración de un entorno UNIX®. Este documento ha sido escrito en Kate.

OPCIONES

-s, --start nombre
    Inicia Kate con una sesión determinada.

-u, --use
    Usa un Kate ya iniciado.

-p, --pid  pid
    Trata de reutilizar una instancia de kate con este pid

-e, --encoding  nombre
    Establece la codificación para el archivo a abrir Puede utilizar esto para forzar la apertura de un archivo en formato UTF-8, por ejemplo. (La orden iconv -l proporciona una lista de codificaciones que le puede resultar útil).

-l, --line  línea
    Se desplaza hasta esta línea

-c, --column  columna
    Se desplaza hasta esta columna

-i, --stdin
    Lee el contenido de stdin

VER TAMBIéN

kwrite(1)

Se dispone de documentación de usuario más detallada en help:/kate (puede introducir esta URL en Konqueror, o ejecutar khelpcenter help:/kate).

También existe más información disponible en el sitio web de Kate: http://kate.kde.org/.

EJEMPLOS

Para abrir un archivo con el nombre source.cpp en la columna 15, línea 25, en una ventana existente de Kate, puede usar:

    kate -c 15 -l 25 -u source.cpp

Si dispone de una conexión permanente a Internet, puede aprovechar la característica de transparencia de red de KDE para abrir un archivo de un sitio FTP. Si no tiene permiso de escritura en el servidor remoto, podrá abrir el archivo en modo de lectura, y se le preguntará por una ubicación local para guardarlo en caso de que lo modifique. Si tiene permiso de escritura en el servidor, los cambios se guardarán transparentemente sobre la red.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTORES

El encargado de Kate es Christoph Cullmann <cullmann@kde.org>. Una extensa lista de autores y demás personas implicadas está disponible en el manual de usuario completo, antes mencionado.

AUTHOR
Lauri Watts.